;DATA FOR PAULINA'S POTIONS


;ENEMIES' & ITEM INDEXES:
;-----------------
TURTLE equ 0
BIRD equ 1
BAT equ 2
BUTTERFLY equ 3
SPIDER equ 4
SNAIL equ 5
MOUSE equ 6
BEE equ 7
APPLE equ 8
PEAR equ 9
FLOWER_BLUE equ 10
FLOWER_PINK equ 11
MUSHROOM equ 12
POTION_RED equ 13
POTION_PINK equ 14
PEARL equ 15




_stages_layout:
STAGES_LAYOUT_WID equ 17
db -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,00,01,02,03,04,-1	;00-16
db -1,-1,-1,-1,-1,-1,-1,05,06,-1,-1,07,08,-1,09,10,-1	;17-33
db -1,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,-1	;34-50
db -1,26,27,28,-1,-1,29,30,-1,-1,-1,-1,-1,-1,31,-1,-1	;51-67


STAGE_HOME equ 15			;default 15
STAGE_HOME_POS equ 39		;39


_inventory_startup:

	db BAT,PEARL,BEE,-1,-1,-1
	db -1,-1,-1,-1,-1,-1
	db -1							;dummy for copying and eol
;amount:
	db 3

_all_potions_recipes:
;ingredients as nibble ???

	;8 bytes per potion, max 16 recipes
	;max 6 ingredients (-1 if empty)
	db PEAR,FLOWER_BLUE,TURTLE,BEE,-1,-1
	dw potion_water_protect	;jump address for trigger

	db BAT,APPLE,PEAR,FLOWER_PINK,-1,-1
	dw potion_fire_protect

	db FLOWER_BLUE,FLOWER_PINK,TURTLE,SPIDER,-1,-1
	dw potion_gas_protect

	db APPLE,FLOWER_BLUE,MOUSE,MUSHROOM,-1,-1
	dw potion_enemy_protect

	db FLOWER_BLUE,SNAIL,PEAR,POTION_PINK,-1,-1
	dw potion_walk_through_walls

	db FLOWER_PINK,SPIDER,SNAIL,BEE,PEARL,-1
	dw potion_stop_time

	db APPLE,FLOWER_PINK,BIRD,BUTTERFLY,POTION_RED,-1
	dw potion_jump_high

	db TURTLE,BAT,SPIDER,MUSHROOM,POTION_PINK,-1
	dw potion_bomb	;bomb

	db FLOWER_BLUE,FLOWER_PINK,BIRD,BUTTERFLY,MOUSE,POTION_RED
	dw potion_collect	;COLLECT

	db APPLE,PEAR,FLOWER_BLUE,SNAIL,POTION_PINK,PEARL
	dw potion_home

	db FLOWER_PINK,BIRD,BUTTERFLY,SNAIL,MUSHROOM,POTION_RED
	dw potion_random_teleport	;random teleport

	db APPLE,FLOWER_BLUE,FLOWER_PINK,BAT,MUSHROOM,POTION_PINK
	dw potion_3_random_items	;random items

	db APPLE,PEAR,-1,-1,-1,-1
	dw potion_1up

	db APPLE,PEAR,POTION_RED,POTION_PINK,PEARL,PEARL
	dw potion_double_gems				;double diamonds

	db APPLE,PEAR,PEAR,FLOWER_BLUE,FLOWER_PINK,PEARL
	dw potion_disappear		;make dangers disappear

	db -1,-1,-1,-1,-1,-1			;omega
	dw potion_erase_countdown_and_return




	ENE_DIR_LEFT equ 0
	ENE_DIR_RIGHT equ 1
	ENE_DIR_UP equ 2
	ENE_DIR_DOWN equ 3
macro Enemy_Data eene, edir, espd, emin, emax, efix
;compressed enemy info:
;3 bytes
;4 Enemy (sprite) number,1 hor/ver Orientation, 1 Direction, 2 Speed-1,
;byte 1 EEEEODSS
	;bits 5-7 111 -> next stage, 0-4 is stage number
;byte 3,2 AMMMMMXX,XXXFFFFF (;Alive 1, Min/4 5, maX/4 5, Fix/4 5,)

	let eneX = eene * 16
	let dirX = edir * 4
	let minX = emin * 1024
	let maxX = emax * 32
	db eneX+dirX+espd
	dw #8000+minX+maxX+efix
mend


_all_enemies_list:
	db #E0		;stage 0
		Enemy_Data SPIDER,ENE_DIR_LEFT,2,4,6,15
	db #E1
	db #E2		;corridors
		Enemy_Data TURTLE,ENE_DIR_RIGHT,3,14,17,13
		Enemy_Data BEE,ENE_DIR_UP,1,8,12,23
	db #E3		;temple of heaven
	db #E4	;skull hall
		Enemy_Data BAT,ENE_DIR_DOWN,2,3,7,8
		Enemy_Data BAT,ENE_DIR_UP,0,3,6,12
		Enemy_Data BAT,ENE_DIR_DOWN,1,2,7,16
		Enemy_Data BAT,ENE_DIR_UP,1,2,6,20
	db #e5	;castle attic left
		Enemy_Data BAT,ENE_DIR_UP,1,6,10,30
		Enemy_Data BEE,ENE_DIR_DOWN,2,6,10,30
		Enemy_Data BUTTERFLY,ENE_DIR_DOWN,3,6,10,30
	db #E6
		Enemy_Data MOUSE,ENE_DIR_LEFT,0,1,10,17
	db #E7
		Enemy_Data BAT,ENE_DIR_RIGHT,0,10,20,6
	db #E8
	db #E9
	db #EA
		Enemy_Data SPIDER,ENE_DIR_RIGHT,0,14,20,4
		Enemy_Data TURTLE,ENE_DIR_LEFT,3,5,7,15
	db #EB
	db #EC
	db #ED
	db #EE
		Enemy_Data BUTTERFLY,ENE_DIR_DOWN,1,10,14,22
		Enemy_Data TURTLE,ENE_DIR_RIGHT,3,24,26,16
	db #EF
		Enemy_Data BIRD,ENE_DIR_LEFT,1,1,30,7
	db #F0		;stage 16
		Enemy_Data TURTLE,ENE_DIR_LEFT,3,8,9,18
	db #F1		;stage 17
		Enemy_Data SNAIL,ENE_DIR_RIGHT,3,8,14,18
		Enemy_Data SPIDER,ENE_DIR_UP,0,5,8,19
	db #F2	;18
		Enemy_Data BIRD,ENE_DIR_RIGHT,1,9,12,7
		;Enemy_Data MOUSE,ENE_DIR_RIGHT,1,12,15,13
		Enemy_Data BAT,ENE_DIR_DOWN,2,12,18,9
	db #F3
	db #F4
		Enemy_Data BIRD,ENE_DIR_LEFT,0,8,24,0
		Enemy_Data BUTTERFLY,ENE_DIR_RIGHT,1,8,24,2
		Enemy_Data SNAIL,ENE_DIR_LEFT,3,8,15,5
		Enemy_Data MOUSE,ENE_DIR_RIGHT,1,20,25,4
	db #F5
		Enemy_Data TURTLE,ENE_DIR_LEFT,2,1,4,18
		Enemy_Data SPIDER,ENE_DIR_UP,2,10,18,15
	db #F6
	db #F7	;city, burning
		Enemy_Data MOUSE,ENE_DIR_LEFT,1,12,16,10
	db #F8
		Enemy_Data BIRD,ENE_DIR_LEFT,2,12,15,5
		Enemy_Data BUTTERFLY,ENE_DIR_LEFT,2,15,18,6
	db #F9
	db #FA		;west cave 1
		Enemy_Data BAT,ENE_DIR_DOWN,1,5,13,26
		Enemy_Data BIRD,ENE_DIR_LEFT,0,6,24,2
	db #FB		;
	db #FC		;west cave 3
		Enemy_Data TURTLE,ENE_DIR_RIGHT,1,11,14,18
		Enemy_Data SPIDER,ENE_DIR_LEFT,1,15,18,18
		Enemy_Data MOUSE,ENE_DIR_RIGHT,1,19,22,18
	db #FD
	db #FE
	db #FF		;31, subway
		Enemy_Data BAT,ENE_DIR_UP,1,2,16,7
		Enemy_Data BAT,ENE_DIR_DOWN,0,3,16,13
		Enemy_Data BAT,ENE_DIR_UP,0,2,16,19
		Enemy_Data BAT,ENE_DIR_DOWN,1,2,17,28
	db #FF		;end marker



charset " I:!,",0
charset "?0123456789",5
charset "ABCDEFGHJKLMNOPQRSTUVWXYZ",16


_text_startscreen:
	db COLOR_BLUE
	dw #55B8
	str "A LEOSOFT GAME\FOR CPCRETRODEV 2023\CODE,GFX,MUSIC: ARNOLDE"

_text_start_menu_1:
	db COLOR_PURPLE
	dw #4097
	str "F0 NEW GAME"
color_joy:
	db COLOR_BROWN
	dw #4143
	str "F1 JOYSTICK"
color_cpc:
	db COLOR_BROWN
	dw #41EF
	str "F2 CPC KEYS"
color_arrow:
	db COLOR_GREEN
	dw #429B
	str "F3 ARROWS"
	db COLOR_BLUE
	dw #4347
	str "F4 MUSIC"
	db COLOR_GREEN
	dw #4356
S_music_toggle_text equ $+1
	str "ON "
	db COLOR_BLUE
	dw #43F3
	str "F5 SFX"
	db COLOR_GREEN
	dw #43FF
S_sfx_toggle_text equ $+1
	str "ON "
	db COLOR_RED
	dw #449F
	str "F6 EXIT"


_text_price:
	dw #CDB7
	str "398"

;texts
;swap I and I,   = space
_alert_sacrifice:
	str " SACRIFICE LIFE?"
_alert_exit_game:
	str "   ABORT GAME?"
_alert_help_screen:
	str "RETURN TO GAME-"
_alert_confirm:
	str "CONFIRM WITH ESC"
_alert_gameover:
	str "     GAME  OVER"

_text_help:
	db COLOR_PURPLE
	dw #400D
	str "THE POTIONS"
	db COLOR_BROWN
	dw #6033
	str "SUICIDE"
	db COLOR_BLUE
	dw #608E
	str "EXIT"
	db COLOR_GREEN
	dw #60E3
	str "HELP"
	db COLOR_RED
	dw #6238
	str "POTION\   BOOK"
	db COLOR_PINE
	dw #6436
	str "INVENTORY"
	db COLOR_PURPLE
	dw #453E
	str "ACTIVE\POTION"
	db COLOR_BROWN
	dw #65EC
	str "LIVES"
	db COLOR_BLUE
	dw #6643
	str "GEMS"
	db COLOR_ORANGE
	dw #4678
_alert_presskey:
	str "    PRESS FIRE"

_potion_labels:
	str "WALK ON\WATER"
	str "WALK THRU\FIRE"
	str "WALK THRU\VIOLET FOG"
	str "SHIELD VS,\BEASTS"
	str "WALK THRU\WALLS"
	str "FREEZE\TIME"
	str "EXTRA HIGH\JUMP"
	str "KILL ALL\BEASTS"
	str "COLLECT\ALL ITEMS"
	str "TELEPORT\HOME"
	str "RANDOM\TELEPORT"
	str "THREE RANDOM\ITEMS"
	str "ONE LIFE\UP"
	str "DOUBLE\DIAMONDS"
	str "REMOVE\HAZARDS"

_press_space:
	db COLOR_PURPLE
	dw #408B
	str "PRESS SPACE"

_cpc_shop:
	db COLOR_BLUE
	dw #40C0
	db "WELCOME TO MY\GARAGE SALE!\\"
	db "I SELL YOU THE\LAST CPC 464,\MADE IN 1993!\"
	str "PRICE:\300 DIAMONDS\\PRESS FIRE"

_cpc_game_won:
	db COLOR_GREEN
	dw #40C0
	db "HORRAY! ENOUGH\DIAMONDS!\"
	db "YOU CAN BUY IT!\\GAME WON!!!\\"
	str "TO START THIS\COOL MACHINE,\PRESS FIRE!"

_cpc_game_lost:
	db COLOR_RED
	dw #40C0
	db "YOU DONT HAVE\ENOUGH\DIAMONDS!\\"
	str "SORRY:\\GAME OVER!"


_keymap_CPC:
	;  F0		FEnter	F2		F.		space 	ctrl 	esc
	db #41,#80,#40,#40,#41,#60,#40,#80,#45,#80,#42,#80,#48,#04

_keymap_arrows:
	;	arr l	arr r	arr u	arr d	space	ctrl    esc
	db #41,#01,#40,#02,#40,#01,#40,#04,#45,#80,#42,#80,#48,#04

_keymap_joystick:
	db #49,#04,#49,#08,#49,#01,#49,#02,#49,#10,#49,#20,#48,#04
;   left    right   up      down    Fire1  Fire2  Esc

_keymap_func_keys:
	;	F6		F5		F4		F3		F2		F1		F0
	db #40,#10,#41,#10,#42,#10,#40,#20,#41,#40,#41,#20,#41,#80


;turtle
;bird
;bat
;butterfly
;spider
;snail
;mouse
;bee

_all_items_list:

; if starting with 00
;   1 byte = stage number
; else 2 bytes -> 16 Bits:
; 0-4 x
; 5-9 y
; 10-13 item type
; 14-15 status:
;   01 off, preset
;   10 active, dropped
;   11 active, preset

;SSTTTTYY YYYXXXXX
;stored in big endian!!!!

macro Item_Data item,x,y
let address=y*32+x
let addrT = address/#100
let addrL = address and #FF
db item*4+addrT+#C0,addrL
mend

	db 0
	db 1
	db 2
	db 3	;temple of heaven
	Item_Data PEAR,1,2
	db 4
	Item_Data BEE,7,5
	Item_Data MUSHROOM,11,5
	Item_Data MOUSE,15,5
	Item_Data PEARL,19,5
	Item_Data POTION_PINK,23,5
	Item_Data SNAIL,27,5
	Item_Data FLOWER_BLUE,29,11
	db 5
	Item_Data APPLE,5,9
	Item_Data APPLE,4,11
	Item_Data APPLE,5,14
	db 6
	Item_Data MUSHROOM,15,15
	Item_Data FLOWER_BLUE,16,14
	Item_Data FLOWER_BLUE,9,10
	Item_Data PEAR,14,10
	Item_Data FLOWER_PINK,19,10

	db 7	;tree
	Item_Data APPLE,17,5
	Item_Data APPLE,20,7
	Item_Data APPLE,11,8
	Item_Data APPLE,20,12
	Item_Data APPLE,19,14
	Item_Data APPLE,17,16
	Item_Data PEAR,15,5
	Item_Data PEAR,13,7
	Item_Data PEAR,8,6
	Item_Data PEAR,15,9
	Item_Data PEAR,12,17
	Item_Data FLOWER_BLUE,9,10
	Item_Data FLOWER_BLUE,7,10


	db 8	;enclosed chamber
	Item_Data APPLE,16,5
	Item_Data POTION_PINK,24,5
	Item_Data PEARL,21,9
	Item_Data POTION_RED,25,9
	Item_Data PEARL,22,13
	Item_Data POTION_PINK,26,13
	Item_Data PEAR,19,17
	Item_Data SNAIL,23,17
	db 9
	Item_Data FLOWER_PINK,28,9
	db 10
	Item_Data FLOWER_BLUE,29,3
	Item_Data FLOWER_PINK,27,5
	Item_Data FLOWER_BLUE,25,7
	Item_Data APPLE,2,7
	Item_Data PEAR,16, 15
	Item_Data APPLE,20, 14
	db 11		;temple
	Item_Data BAT,12,14
	Item_Data PEARL,15,13
	Item_Data POTION_RED,18,12
	Item_Data PEARL,21,13
	Item_Data BUTTERFLY,24,14
	db 12
	Item_Data FLOWER_BLUE,20,16
	Item_Data FLOWER_PINK,22,16
	db 13
	Item_Data POTION_PINK,4,16
	Item_Data PEAR,11,15
	Item_Data PEAR,14,14
	Item_Data APPLE,16,13
	Item_Data APPLE,18,14
	db 14
	Item_Data FLOWER_PINK,16,7
	Item_Data FLOWER_BLUE,24,15
	Item_Data FLOWER_PINK,26,15
	db 15
	Item_Data BEE, 15,17
	Item_Data FLOWER_PINK, 19,17
	Item_Data FLOWER_BLUE, 21,17
	Item_Data APPLE, 23,15
	Item_Data PEAR, 27,14
	db 16
	Item_Data SPIDER, 15,18
	Item_Data FLOWER_PINK, 20,17
	Item_Data PEAR, 23,13
	db 17
	db 18
	Item_Data FLOWER_PINK,29,12
	db 19
	Item_Data APPLE,5,12
	db 20
	Item_Data FLOWER_BLUE,5,17
	Item_Data MUSHROOM,19,18
	Item_Data FLOWER_PINK,21,17
	Item_Data FLOWER_BLUE,25,17
	db 21
	Item_Data POTION_PINK,11,9
	Item_Data POTION_RED,19,11
	db 22	;small temple
	Item_Data FLOWER_PINK,22,10
	db 23 ;city, burning house
	Item_Data MUSHROOM,21,9
	db 24
	db 25
	db 26
	db 27
	db 28
	db 29
	db 30
	Item_Data PEAR, 4,4
	Item_Data TURTLE, 10,10
	Item_Data POTION_PINK, 6,16
	Item_Data POTION_RED, 17,13
	Item_Data FLOWER_PINK, 28,13
	Item_Data PEAR, 24,15
	db 31

	dw 0,0,0

all_items_list_end:
	dw 0
